apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: traefik
  namespace: flux-system
spec:
  interval: 10m
  targetNamespace: kube-system
  chart:
    spec:
      chart: traefik
      version: "39.0.0"
      sourceRef:
        kind: HelmRepository
        name: traefik
        namespace: flux-system
  install:
    createNamespace: true
    remediation:
      retries: 3
  upgrade:
    remediation:
      retries: 3
  values:
    additionalArguments:
      - "--entryPoints.flux.address=:9001/tcp"
      - "--entryPoints.rancher.address=:9442/tcp"
    service:
      type: NodePort
    ports:
      web:
        nodePort: 31097
      websecure:
        nodePort: 30193
      rancher:
        port: 9442
        exposedPort: 9442
        protocol: TCP